%define release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Summary:        Typesafe signal framework for C++
Name:           libsigc++20
Version:        2.10.8
Release:        4%{?dist}
License:        LGPLv2+
URL:            https://github.com/libsigcplusplus/libsigcplusplus
Source0:        https://download.gnome.org/sources/libsigc++/%{release_version}/libsigc++-%{version}.tar.xz
BuildRequires:  doxygen docbook-style-xsl libxslt
BuildRequires:  gcc-c++ m4 meson

BuildRequires:  perl-interpreter perl(Getopt::Long)

%description
libsigc++ implements a typesafe callback system for standard C++. It
allows you to define signals and to connect those signals to any
callback function, either global or a member function, regardless of
whether it is static or virtual.

libsigc++ is used by gtkmm to wrap the GTK+ signal system. It does not
depend on GTK+ or gtkmm.


%package devel
Summary:        Development tools for the typesafe signal framework for C++
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains the static libraries and header files
needed for development with %{name}.


%package        doc
Summary:        Documentation for %{name}, includes full API docs
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description    doc
This package contains the full API documentation for %{name}.


%prep
%autosetup -n libsigc++-%{version}
chmod -x NEWS


%build
%meson -Dbuild-documentation=true
%meson_build


%install
%meson_install


%files
%license COPYING
%doc AUTHORS README NEWS
%{_libdir}/libsigc-2.0.so.0*

%files devel
%{_includedir}/sigc++-2.0/
%{_libdir}/sigc++-2.0/
%{_libdir}/pkgconfig/sigc++-2.0.pc
%{_libdir}/libsigc-2.0.so

%files doc
%doc %{_datadir}/doc/libsigc++-2.0/
%doc %{_datadir}/devhelp/


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.10.8-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.10.8-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.10.8-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 2 2022 rockerzhu <rockerzhu@tencent.com> - 2.10.8-1
- Initial build
